Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 May 2015 17:48:24 +0300

> Date: Sat, 30 May 2015 22:52:13 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Oleh Krehel <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Sat, 30 May 2015 21:26:03 +0200
> > 
> > frame 2
> > #2  try_window_reusing_current_matrix (w=w@entry=0x11d5eb0) at xdisp.c:17245
> > 17245	      init_to_row_start (&it, w, first_row_to_display);
> > 
> > p first_row_to_display->y
> > $1 = 909
> > 
> > p yb
> > $2 = <optimized out>
> > 
> > p window_text_bottom_y (w)
> > $3 = 909
> 
> Thanks, this confirms my suspicions: we are writing beyond the
> window's glyph matrix.  I will see what can be done about that.

I couldn't actually reproduce such crashes on my system, but I made a
few changes that hopefully will prevent them.  Could you please see if
the latest branch tip still crashes under some circumstances?

Thanks.